Get a single waitlist
curl --request GET \
--url https://api.splose.com/v1/waitlists/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.splose.com/v1/waitlists/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.splose.com/v1/waitlists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"practitionerId": 12,
"userGroupId": 12,
"locationId": 13,
"patientId": 14,
"serviceIds": [
1,
2,
3
],
"waitlistTags": [
"High",
"Medium",
"Low"
],
"preferredDays": [
"Monday",
"Tuesday"
],
"preferredTime": [
"morning",
"afternoon",
"evening"
],
"archived": false,
"createdAt": "2023-07-30T09:00:00.000Z",
"updatedAt": "2023-07-30T09:00:00.000Z"
}Waitlist
Get a single waitlist
Get waitlist data by id
Get a single waitlist
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required range:
x > 0Example:
1
Response
200 - application/json
Object with waitlist data.
Waitlist Item Id
Required range:
x > 0Example:
1
The id of the practitioner associated to the waitlist item
Example:
12
The id of the practitioner group associated to the waitlist item
Example:
12
The id of the location associated to the waitlist item
Example:
13
The id of the patient associated to the waitlist item
Example:
14
The id list of services the waitlist item is waiting for
Example:
[1, 2, 3]
The waitlist tag ids of the waitlist item
Example:
["High", "Medium", "Low"]
Preferred days of the waitlist item
Example:
["Monday", "Tuesday"]
Preferred time of service for the waitlist item
Example:
["morning", "afternoon", "evening"]
Whether the waitlist has been archived
Object creation date time
Example:
"2023-07-30T09:00:00.000Z"
Object update date time
Example:
"2023-07-30T09:00:00.000Z"